<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.tofly</groupId>
		<artifactId>tofly-hnls</artifactId>
		<version>1.0.0</version>
	</parent>
	<artifactId>hnls-gis</artifactId>
	<version>1.0.0</version>

	<dependencies>
		<!--		这个是短信替换哪里用到了的-->
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-text</artifactId>
			<version>1.8</version>
		</dependency>
		<dependency>
			<groupId>com.tofly</groupId>
			<artifactId>hnls-mis-api</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.tofly</groupId>
			<artifactId>hnls-gps-api</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.tofly</groupId>
			<artifactId>hnls-admin-api</artifactId>
			<version>1.0.0</version>
		</dependency>
		<!-- xxl-job -->
		<dependency>
			<groupId>com.xuxueli</groupId>
			<artifactId>xxl-job-core</artifactId>
			<version>2.2.0</version>
		</dependency>

		<dependency>
			<groupId>com.tofly</groupId>
			<artifactId>common-ftp</artifactId>
			<version>1.0.3</version>

		</dependency>
		<dependency>
			<groupId>com.tofly</groupId>
			<artifactId>common-es</artifactId>
			<version>1.0.3</version>
			<exclusions>
				<exclusion>
					<groupId>com.baomidou</groupId>
					<artifactId>mybatis-plus-core</artifactId>
				</exclusion>
				<exclusion>
					<groupId>com.baomidou</groupId>
					<artifactId>mybatis-plus-extension</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>fastjson</artifactId>
					<groupId>com.alibaba</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-boot-starter</artifactId>
			<version>3.3.2</version>
		</dependency>
		<!-- 海康对接maven -->
		<dependency>
			<groupId>com.hikvision.ga</groupId>
			<artifactId>artemis-http-client</artifactId>
			<version>1.1.3</version>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>5.1.47</version>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
	</dependencies>


	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
